import { Image } from 'antd';
function getcolumns(setdrawer) {
  return [
    {
      title: '设备型号',
      dataIndex: 'equipmentModelName',
      key: 'equipmentModelName',
      formItemProps: {
        rules: [
          {
            required: true,
            message: '此项为必填项',
          },
        ],
      },
    },
    {
      title: '备注',
      dataIndex: 'modelDescription',
      key: 'modelDescription',
      initialValue: '默认值',
      width: 250,
      hideInForm: false,
      search: false,
    },
    {
      title: '图片',
      dataIndex: 'pictureUrl',
      key: 'picList',
      search: false,
      valueType: 'uploadImage',
      fieldProps: {
        limit: 1,
      },
      formItemProps: {
        rules: [
          {
            required: false,
            message: '此项为必填项',
          },
        ],
      },
      hideInTable: false,
      render: (text, row) => <Image width={70} src={row.pictureUrl} />,
    },
  ];
}

export default getcolumns;
